Bug 449806 - Printing asks for an Xprinter
Printing asks for an Xprinter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443518
  Show dependency treegraph
 
Reported: 2008-06-03 13:58 EDT by Horst H. von Brand
Modified: 2008-10-09 17:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 17:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-06-03 13:58:42 EDT
Description of problem:
Trying to print a page gives a message window:

  There was a problem printing. No printers could be found.

  Check whether the "XPSERVERLIST" environment variable contains at least one 
  valid Xprint server. For further information see http://xprint.mozdev.org or
  http://www.mozilla.org/projects/xprint/.

Version-Release number of selected component (if applicable):
galeon-2.0.5-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Open a page, go ctrl-P
2.
3.
  
Actual results:
See above

Expected results:
Printout.

Additional info:
Comment 1 Jussi Eloranta 2008-06-16 12:16:43 EDT
The same problem exists on Fedora 9. It is not possible to print with Fedora 9
version of Galeon at all...
Comment 2 Ismael Olea 2008-07-03 08:01:00 EDT
this bug is reported too at #443518. I've closed my report 452527 as duplicate.

Only fyi
Comment 3 Denis Leroy 2008-10-06 19:39:11 EDT
I laboured a patch for this. Testing requested :-) :

http://www.poolshark.org/src/galeon-2.0.7-2.fc10.src.rpm
Comment 4 Matěj Cepl 2008-10-07 08:54:22 EDT
Yes, I have builded the src.rpm myself as a scratch build (http://koji.fedoraproject.org/koji/taskinfo?taskID=866206) and it seems to work pretty well.
Comment 5 Fedora Update System 2008-10-07 09:35:31 EDT
galeon-2.0.7-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/galeon-2.0.7-2.fc9
Comment 6 Fedora Update System 2008-10-09 17:30:45 EDT
galeon-2.0.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.